<?php
	if( get_option('bluezine_display_postsgallery') == 'on' ) :
	remove_filter( 'excerpt_more', 'bluezine_auto_excerpt_more' );
	remove_filter( 'excerpt_length', 'bluezine_excerpt_length' );
	function bluezine_auto_excerpt_more2() {
		return ' [...]';
	}
	add_filter( 'excerpt_more', 'bluezine_auto_excerpt_more2' );
	function bluezine_excerpt_length2( $length ) {
		return 20;
	}
	add_filter( 'excerpt_length', 'bluezine_excerpt_length2' );
?>
<div id="featured" class="clearfix">
	<script type="text/javascript">
		jQuery(function(){
			jQuery("#loopedslider").loopedSlider({
				autoStart: 5000
			}).hover(function(){
				jQuery(this).find('.slider-nav').css('display', 'block');
			}, function(){
				jQuery(this).find('.slider-nav').css('display', 'none');
			});
		});
	</script>
	<div id="loopedslider">
		<div class="container">
			<div class="slides">
		<?php query_posts('showposts=5&cat=' . get_option('bluezine_featured_category'));
            if ( have_posts() ) : while ( have_posts() ) : the_post();
                if(has_post_thumbnail( $post->ID )) :
                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' ); ?>
				<div class="slide">
                	<a href="<?php the_permalink(); ?>"><img src="<?php bloginfo('template_directory'); ?>/library/functions/timthumb.php?src=<?php echo $image[0]; ?>&amp;w=592&amp;h=300&amp;zc=1" /></a>
                    <div class="slide-content">
                    	<h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
						<p><?php echo strip_tags(get_the_excerpt()); ?></p>
                    </div>
                </div>
		<?php endif; endwhile; endif; ?>
			</div>
		</div>
		<a href="#" class="slider-nav previous"><img src="<?php bloginfo('template_directory'); ?>/library/images/btn-prev-slider.png" /></a>
		<a href="#" class="slider-nav next"><img src="<?php bloginfo('template_directory'); ?>/library/images/btn-next-slider.png" /></a>
	</div>
</div><!--#featured -->
<?php
	add_filter( 'excerpt_more', 'bluezine_auto_excerpt_more' );
	add_filter( 'excerpt_length', 'bluezine_excerpt_length' );
	wp_reset_query(); 
	endif; ?>